Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as cloudflare from "@pulumi/cloudflare";
const exampleNotificationPolicyWebhooks = cloudflare.getNotificationPolicyWebhooks({
accountId: "023e105f4ecef8ad9ca31a8372d0c353",
webhookId: "b115d5ec15c641ee8b7692c449b5227b",
});
import pulumi
import pulumi_cloudflare as cloudflare
example_notification_policy_webhooks = cloudflare.get_notification_policy_webhooks(account_id="023e105f4ecef8ad9ca31a8372d0c353",
webhook_id="b115d5ec15c641ee8b7692c449b5227b")
package main
import (
"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudflare.LookupNotificationPolicyWebhooks(ctx, &cloudflare.LookupNotificationPolicyWebhooksArgs{
AccountId: "023e105f4ecef8ad9ca31a8372d0c353",
WebhookId: "b115d5ec15c641ee8b7692c449b5227b",
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Cloudflare = Pulumi.Cloudflare;
return await Deployment.RunAsync(() =>
{
var exampleNotificationPolicyWebhooks = Cloudflare.GetNotificationPolicyWebhooks.Invoke(new()
{
AccountId = "023e105f4ecef8ad9ca31a8372d0c353",
WebhookId = "b115d5ec15c641ee8b7692c449b5227b",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.cloudflare.CloudflareFunctions;
import com.pulumi.cloudflare.inputs.GetNotificationPolicyWebhooksArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleNotificationPolicyWebhooks = CloudflareFunctions.getNotificationPolicyWebhooks(GetNotificationPolicyWebhooksArgs.builder()
.accountId("023e105f4ecef8ad9ca31a8372d0c353")
.webhookId("b115d5ec15c641ee8b7692c449b5227b")
.build());
}
}
variables:
exampleNotificationPolicyWebhooks:
fn::invoke:
function: cloudflare:getNotificationPolicyWebhooks
arguments:
accountId: 023e105f4ecef8ad9ca31a8372d0c353
webhookId: b115d5ec15c641ee8b7692c449b5227b
Using getNotificationPolicyWebhooks
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getNotificationPolicyWebhooks(args: GetNotificationPolicyWebhooksArgs, opts?: InvokeOptions): Promise<GetNotificationPolicyWebhooksResult>
function getNotificationPolicyWebhooksOutput(args: GetNotificationPolicyWebhooksOutputArgs, opts?: InvokeOptions): Output<GetNotificationPolicyWebhooksResult>def get_notification_policy_webhooks(account_id: Optional[str] = None,
webhook_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetNotificationPolicyWebhooksResult
def get_notification_policy_webhooks_output(account_id: Optional[pulumi.Input[str]] = None,
webhook_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetNotificationPolicyWebhooksResult]func LookupNotificationPolicyWebhooks(ctx *Context, args *LookupNotificationPolicyWebhooksArgs, opts ...InvokeOption) (*LookupNotificationPolicyWebhooksResult, error)
func LookupNotificationPolicyWebhooksOutput(ctx *Context, args *LookupNotificationPolicyWebhooksOutputArgs, opts ...InvokeOption) LookupNotificationPolicyWebhooksResultOutput> Note: This function is named LookupNotificationPolicyWebhooks in the Go SDK.
public static class GetNotificationPolicyWebhooks
{
public static Task<GetNotificationPolicyWebhooksResult> InvokeAsync(GetNotificationPolicyWebhooksArgs args, InvokeOptions? opts = null)
public static Output<GetNotificationPolicyWebhooksResult> Invoke(GetNotificationPolicyWebhooksInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetNotificationPolicyWebhooksResult> getNotificationPolicyWebhooks(GetNotificationPolicyWebhooksArgs args, InvokeOptions options)
public static Output<GetNotificationPolicyWebhooksResult> getNotificationPolicyWebhooks(GetNotificationPolicyWebhooksArgs args, InvokeOptions options)
fn::invoke:
function: cloudflare:index/getNotificationPolicyWebhooks:getNotificationPolicyWebhooks
arguments:
# arguments dictionaryThe following arguments are supported:
- account_
id str - The account id
- webhook_
id str - The unique identifier of a webhook
getNotificationPolicyWebhooks Result
The following output properties are available:
- Account
Id string - The account id
- Created
At string - Timestamp of when the webhook destination was created.
- Id string
- The unique identifier of a webhook
- Last
Failure string - Timestamp of the last time an attempt to dispatch a notification to this webhook failed.
- Last
Success string - Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.
- Name string
- The name of the webhook destination. This will be included in the request body when you receive a webhook notification.
- Secret string
- Optional secret that will be passed in the
cf-webhook-authheader when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body. - Type string
- Type of webhook endpoint. Available values: "datadog", "discord", "feishu", "gchat", "generic", "opsgenie", "slack", "splunk".
- Url string
- The POST endpoint to call when dispatching a notification.
- Webhook
Id string - The unique identifier of a webhook
- Account
Id string - The account id
- Created
At string - Timestamp of when the webhook destination was created.
- Id string
- The unique identifier of a webhook
- Last
Failure string - Timestamp of the last time an attempt to dispatch a notification to this webhook failed.
- Last
Success string - Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.
- Name string
- The name of the webhook destination. This will be included in the request body when you receive a webhook notification.
- Secret string
- Optional secret that will be passed in the
cf-webhook-authheader when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body. - Type string
- Type of webhook endpoint. Available values: "datadog", "discord", "feishu", "gchat", "generic", "opsgenie", "slack", "splunk".
- Url string
- The POST endpoint to call when dispatching a notification.
- Webhook
Id string - The unique identifier of a webhook
- account
Id String - The account id
- created
At String - Timestamp of when the webhook destination was created.
- id String
- The unique identifier of a webhook
- last
Failure String - Timestamp of the last time an attempt to dispatch a notification to this webhook failed.
- last
Success String - Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.
- name String
- The name of the webhook destination. This will be included in the request body when you receive a webhook notification.
- secret String
- Optional secret that will be passed in the
cf-webhook-authheader when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body. - type String
- Type of webhook endpoint. Available values: "datadog", "discord", "feishu", "gchat", "generic", "opsgenie", "slack", "splunk".
- url String
- The POST endpoint to call when dispatching a notification.
- webhook
Id String - The unique identifier of a webhook
- account
Id string - The account id
- created
At string - Timestamp of when the webhook destination was created.
- id string
- The unique identifier of a webhook
- last
Failure string - Timestamp of the last time an attempt to dispatch a notification to this webhook failed.
- last
Success string - Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.
- name string
- The name of the webhook destination. This will be included in the request body when you receive a webhook notification.
- secret string
- Optional secret that will be passed in the
cf-webhook-authheader when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body. - type string
- Type of webhook endpoint. Available values: "datadog", "discord", "feishu", "gchat", "generic", "opsgenie", "slack", "splunk".
- url string
- The POST endpoint to call when dispatching a notification.
- webhook
Id string - The unique identifier of a webhook
- account_
id str - The account id
- created_
at str - Timestamp of when the webhook destination was created.
- id str
- The unique identifier of a webhook
- last_
failure str - Timestamp of the last time an attempt to dispatch a notification to this webhook failed.
- last_
success str - Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.
- name str
- The name of the webhook destination. This will be included in the request body when you receive a webhook notification.
- secret str
- Optional secret that will be passed in the
cf-webhook-authheader when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body. - type str
- Type of webhook endpoint. Available values: "datadog", "discord", "feishu", "gchat", "generic", "opsgenie", "slack", "splunk".
- url str
- The POST endpoint to call when dispatching a notification.
- webhook_
id str - The unique identifier of a webhook
- account
Id String - The account id
- created
At String - Timestamp of when the webhook destination was created.
- id String
- The unique identifier of a webhook
- last
Failure String - Timestamp of the last time an attempt to dispatch a notification to this webhook failed.
- last
Success String - Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.
- name String
- The name of the webhook destination. This will be included in the request body when you receive a webhook notification.
- secret String
- Optional secret that will be passed in the
cf-webhook-authheader when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body. - type String
- Type of webhook endpoint. Available values: "datadog", "discord", "feishu", "gchat", "generic", "opsgenie", "slack", "splunk".
- url String
- The POST endpoint to call when dispatching a notification.
- webhook
Id String - The unique identifier of a webhook
Package Details
- Repository
- Cloudflare pulumi/pulumi-cloudflare
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
cloudflareTerraform Provider.
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
